#include <bits/stdc++.h>
using namespace std;
int resenje[1000000];
bool check(int m , int br){
for(int i = 0; i< br;i++)
    if(resenje[i]== m)
        return false;

return true;
}
int main()
{

    int n , k ,m,br=0;
    scanf("%d %d", &n ,&k);
    map <int , int> q ;

    for(int i =0;i<n;i++)
        {
            scanf("%d",&m);
            q[m]++;
            if(q[m] >= k)
            {
                if(check(m,br))
                {
                    resenje[br]=m;
                    br++;
                }

            }
        }
 printf("%d\n",br);
for(int i = 0;i<br;i++)
{
    printf("%d ",resenje[i]);
}

    return 0;
}